Gentoo Archives: gentoo-user

From: Michael Sullivan <michael@××××××××××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] OT - Squirrelmail doesn't work after recent PHP upgrade
Date: Tue, 24 Jan 2006 14:56:51
Message-Id: 1138114219.29773.7.camel@camille.espersunited.com
I'm having some trouble with Squirrelmail since the recent PHP upgrade.
On almost every folder I click on in Squirrelmail (including the Inbox),
I get this:

Fatal error: Only variables can be passed by reference
in /var/www/localhost/htdocs/squirrelmail/functions/imap_messages.php on
line 480

Everything was fine before I upgraded PHP.  If it matters, here's my USE
flages for PHP:

bullet dev-php5 # emerge -pv dev-lang/php

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild   R   ] dev-lang/php-5.0.5-r5  -adabas -apache +apache2 -bcmath
+berkdb -birdstep +bzip2 -calendar -cdb +cgi -cjk +cli +crypt +ctype
+curl -curlwrappers -db2 +dba -dbase -dbmaker -debug -discard-path +doc
-empress -empress-bcs -esoob -exif -fdftk -filepro -firebird -flatfile
-force-cgi-redirect -frontbase +ftp +gd -gd-external +gdbm +gmp
-hardenedphp -hyperwave-api -iconv +imap -informix -inifile -interbase
-iodbc -ipv6 -java-external +kerberos +ldap -libedit -mcve -memlimit
+mhash +ming -mnogosearch -msql -mssql +mysql -mysqli +ncurses +nls
-oci8 -oci8-instant-client -odbc -oracle7 -ovrimos -pcntl +pcre
-pdo-external -pfpro -pic -posix -postgres -qdbm +readline -recode
-sapdb +sasl +session -sharedext -sharedmem -simplexml -snmp -soap
-sockets -solid +spell -spl -sqlite +ssl -sybase -sybase-ct -sysvipc
+threads -tidy +tiff -tokenizer +truetype -wddx +xml -xmlrpc +xpm +xsl
-yaz +zip +zlib 0 kB

Total size of downloads: 0 kB


-- 
gentoo-user@g.o mailing list

Replies

Subject Author
Re: [gentoo-user] OT - Squirrelmail doesn't work after recent PHP upgrade kashani <kashani-list@××××××××.net>
Re: [gentoo-user] OT - Squirrelmail doesn't work after recent PHP upgrade Manuel McLure <manuel@××××××.org>